/* schedul and qv btn animation start here */
.schedule_btn {
    height: 100%;
    color: #ffffff;
    border: none;
    background-image: var(--web-btn);
}
.questinal_btn {
    color: #fff;
    background-image: var(--web-btn);
    border: 1px solid #000 !important;
}

.btn-read {
    position: relative;
    /* display: inline-block; */
    font-size: 13px;
    padding: 12px 12px;
    overflow: hidden;
    text-align: left;
    z-index: 1;
    border-radius: 6px;
    line-height: 1.4;
}
/* .questinal_btn.btn--animated */
.btn--animated:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #000;
    transform: scaleX(0);
    transform-origin: 0 50%;
    transition-property: transform;
    transition-duration: 1s;
    transition-timing-function: ease-out;
    z-index: -1;
}

.btn--animated:hover {
    color: #fff;
}

.btn--animated:hover:before {
    color: #fff;
    transform: scaleX(1);
    transition-timing-function: cubic-bezier(0.45, 1.64, 0.47, 0.66);
}

/* schedul and qv btn animation end here  */

/* main_btn animation */

.c-button {
    color: #000;
    font-weight: 700;
    font-size: 1em;
    text-decoration: none;
    padding: 0.7em 1.8em;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
}
.c-button--gooey {
    color: #4696d1;
    background: linear-gradient(white, white) padding-box,
        linear-gradient(to right, #da2128, #dd2c79, #b95cb8, #7c80d5, #4696d1)
            border-box;
    border-radius: 5px;
    border: 3px solid transparent;
    font-size: 14px;
    text-transform: uppercase;
    /* letter-spacing: 2px; */
    /* border: 4px solid #06c8d9; */
    /* border-radius: 0; */
    padding: 2px 13px;
    position: relative;
    transition: all 700ms ease;
}
.c-button--gooey .c-button__blobs {
    height: 100%;
    filter: url(#goo);
    overflow: hidden;
    position: absolute;
    top: 0;
    left: 0;
    bottom: -3px;
    right: -1px;
    z-index: -1;
}
.c-button--gooey .c-button__blobs div {
    background: var(--web-btn);
    width: 34%;
    height: 100%;
    border-radius: 100%;
    position: absolute;
    transform: scale(1.4) translateY(125%) translateZ(0);
    transition: all 700ms ease;
}
.c-button--gooey .c-button__blobs div:nth-child(1) {
    left: -5%;
    background: #d22832;
}
.c-button--gooey .c-button__blobs div:nth-child(2) {
    left: 30%;
    transition-delay: 60ms;
}
.c-button--gooey .c-button__blobs div:nth-child(3) {
    left: 66%;
    transition-delay: 25ms;
    background: #4194d0;
}
.c-button--gooey:hover {
    color: #fff;
}
.c-button--gooey:hover .c-button__blobs div {
    transform: scale(1.4) translateY(0) translateZ(0);
}

.c-button--gooey:hover {
    background: transparent;
    border-image-slice: 1;
    border-image: var(--web-btn);
    border-width: 3px;
    border-image-slice: 1;
}

/* text_animation */

.heading_line {
    position: relative;
    width: 100%;
    font-size: 40px;
    white-space: nowrap;
    overflow: hidden;
    /* transform: translateY(-0%); */
}
.welcome-sec h2.heading_line.line-1.anim-typewriter {
    white-space: normal !important;
    /* margin-top: 50px; */
}
/* Animation */
.line-1.anim-typewriter {
    animation: typewriter 2s steps(44) 2s 1 normal both,
        blinkTextCursor 700ms steps(4) infinite normal;
}

/* line1 */
.line-2.anim-typewriter {
    animation: typewriter 4s steps(44) 3s 1 normal both,
        blinkTextCursor 500ms steps(4) infinite normal;
}
/*  line3 */
.line-3.anim-typewriter {
    animation: typewriter 4s steps(44) 6s 1 normal both,
        blinkTextCursor 500ms steps(4) infinite normal;
}
@keyframes typewriter {
    from {
        width: 0;
    }
    /*   to{width: 24em;} */
}

/* image animation */

.allimghere {
    display: flex;
}
.gallery-imgbox.imgbox img {
    height: 100%;
    object-fit: fill;
}
.imgbox {
    /* height: 156px; */
    position: relative;
    transition: transform 4s ease-in;
    overflow: hidden;
}
.service-img.imgbox img {
    width: 100%;
    height: 440px;
    transition: transform 1s ease-in;
    object-fit: fill;
    border-radius: 10px;
}
.welcome-imgbox.imgbox img {
    width: 100%;
    height: 250px;
    transition: transform 1s ease-in;
    object-fit: fill;
    border-radius: 10px;
}
.fuel-imgbox.imgbox img {
    width: 100%;
    height: 360px;
    transition: transform 1s ease-in;
    object-fit: fill;
    border-radius: 10px;
}
.imgbox img {
    width: 100%;
    height: 310px;
    transition: transform 1s ease-in;
    object-fit: fill;
    border-radius: 10px;
}
.welcome-imgbox.imgbox.imgbox1 img {
    width: 100%;
    height: 523px;
    transition: transform 1s ease-in;
    object-fit: fill;
    border-radius: 10px;
}
.imgbox img:hover {
    transform: scale(1.2);
}
.imgbox:before {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    content: "";
    transform: translateY(-100%);
    font-size: 25px;
    color: #fff;
    display: block;
    background-color: rgba(188, 143, 143, 0.137);
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: sans-serif;
    transition: transform 0.7s ease-in;
    border: 4px solid white;
    justify-content: center;
    box-sizing: border-box;
}

.imgbox:after {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    content: "";
    transform: translateY(100%);
    font-size: 25px;
    color: #fff;
    display: block;
    background-color: rgba(188, 143, 143, 0.137);
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: sans-serif;
    transition: transform 0.7s ease-in;
    border: 4px solid white;
    justify-content: center;
    box-sizing: border-box;
}
.imgbox:hover::before {
    transform: translateY(0%);
}
.imgbox:hover::after {
    transform: translateY(0%);
}
@media (max-width: 1200px) {
    .welcome-imgbox.imgbox.imgbox1 img {
        width: 100%;
        height: 413px;
        transition: transform 1s ease-in;
        object-fit: fill;
        border-radius: 10px;
    }
}
@media (max-width: 915px) {
    .welcome-imgbox.imgbox.imgbox1 img {
        width: 100%;
        height: 360px;
        transition: transform 1s ease-in;
        object-fit: fill;
        border-radius: 10px;
    }
    .fuel-imgbox.imgbox img {
        width: 100%;
        height: 260px;
        transition: transform 1s ease-in;
        object-fit: fill;
        border-radius: 10px;
    }
    .welcome-imgbox.imgbox.imgbox1 img {
        width: 100%;
        height: 413px;
        transition: transform 1s ease-in;
        object-fit: fill;
        border-radius: 10px;
    }
}
@media (max-width: 821px) {
    .welcome-sec .btn-read {
        position: relative;
        /* display: inline-block; */
        font-size: 9px !important;
        padding: 5px 4px !important;
        /* line-height: 1.4; */
    }
    .welcome-imgbox.imgbox.imgbox1 img {
        width: 100%;
        height: 360px;
        transition: transform 1s ease-in;
        object-fit: fill;
        border-radius: 10px;
    }
}
@media (max-width: 580px) {
    .welcome-sec .btn-read {
        font-size: 12px !important;
        width: 195px;
    }
    button.btn--border.btn-read.btn--animated.text-uppercase.schedule_btn {
        padding: 10px 6px !important;
    }
    .button_wrapper {
        flex-wrap: wrap;
        margin: 10px 0;
        width: 100%;
    }
}
